Skip to main content
GET
/
object-storage
/
{id}
/
objects
List objects
curl --request GET \
  --url https://api.sevalla.com/v3/object-storage/{id}/objects \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "key": "images/photo.jpg",
      "type": "file",
      "content_type": "image/jpeg",
      "size": 1024,
      "updated_at": "2024-01-01T00:00:00.000Z",
      "e_tag": "\"abc123\""
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

Object storage bucket identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

Query Parameters

prefix
string

Filter objects by key prefix

Example:

"images/"

delimiter
string

Character used to group keys into common prefixes (typically "/")

Example:

"/"

cursor
string

Continuation token from a previous response for pagination

limit
integer
default:25

Maximum number of objects to return per page. Maximum 200.

Required range: 1 <= x <= 200
Example:

25

Response

Default Response

data
object[]
required

List of objects

cursor
string | null
required

Continuation token for the next page. Null if there are no more results.